Skip to main content
PATCH
/
lists
/
{listId}
/
columns
/
{columnId}
Update column
curl --request PATCH \
  --url https://inboxapp.com/api/v1/lists/{listId}/columns/{columnId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "Updated description"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "type": "<unknown>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.inboxapp.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listId
string
required

The ID of the list.

Pattern: ^[0-9a-z]+$
columnId
string
required

The ID of the column to update.

Body

application/json
name
string

New name for the column.

Required string length: 1 - 255
Example:

"Company Name"

description
string | null

New description for the column. Pass null to clear.

Maximum string length: 1000
Example:

"Updated description"

Response

200 - application/json

OK

id
string
required

Unique identifier for the column.

name
string
required

Display name of the column.

type
any
required

The data type of the column.

createdAt
string<date-time>
required

When the column was created.

updatedAt
string<date-time> | null
required

When the column was last updated.

description
string | null

Optional description of what this column contains.